
Summary: IBM Cell Broadband Engine Accelerated Library Framework (ALF) Trace-enabled Library
Name: alf-trace
Version: 4.0.0
Release: 1
License: BSD
Group: Cell Development Libraries
Vendor: IBM Corporation
Distribution: IBM SDK for Multicore Acceleration
URL: http://www.ibm.com
Source: alf-%{version}.tar.bz2
Buildroot: %{_tmppath}/%{BUILDsubdir}

# we need the symbols, so don't strip
%define __strip /bin/true
%define __objdump /bin/true

%define BUILDsubdir      %{name}-%{version}-%{release}

#  This is not ideal, but since we often build cross, it is required.
%define _use_internal_dependency_generator     0

%description
IBM Cell Broadband Engine Accelerated Library Framework (ALF) trace-enabled runtime libraries

%package -n %{name}-devel
Summary: IBM Cell Broadband Engine Accelerated Library Framework (ALF) trace-enabled development libraries
Group: Cell Development Libraries

Requires: %{name} = %{version}
Requires: alf-spu-trace-devel = %{version}
Requires: alf-devel =  %{version}

%description -n %{name}-devel
IBM Cell Broadband Engine Hybrid Accelerated Library Framework (ALF) trace-enabled development libraries

%prep
%setup -q -c -n %{BUILDsubdir}

%build
rm -rf ${RPM_BUILD_ROOT}
cd alf
# build and install the trace-enabled libraries
make clean all install TRACE=1 BUILD_CELL=1 BUILD_HYBRID=0 BUILD_ACCEL=0 DESTDIR=${RPM_BUILD_ROOT} TARGET_CPU=%{_target_cpu}

%install
rm -rf ${RPM_BUILD_ROOT}/usr/include
rm -rf ${RPM_BUILD_ROOT}/usr/spu/include

%post -n %{name} -p /sbin/ldconfig

%postun -n %{name} -p /sbin/ldconfig

%clean
rm -rf ${RPM_BUILD_ROOT}

# native trace-enabled runtime stuff
%files
%defattr (-,root,root)
%ifarch ppc
/usr/lib/alf/trace/*.so.*
/usr/share/pdt/config/pdt_alf*xml
%endif
%ifarch ppc64
/usr/lib64/alf/trace/*.so.*
/usr/share/pdt/config/pdt_alf*xml
%endif

# native trace-enabled devel stuff
%files -n %{name}-devel
%defattr (-,root,root)
%ifarch ppc
/usr/lib/alf/trace/*.a
/usr/lib/alf/trace/*.so
%endif
%ifarch ppc64
/usr/lib64/alf/trace/*.a
/usr/lib64/alf/trace/*.so
%endif
